import {BizError} from "@/service/types.ts";
import {Toast} from "@douyinfe/semi-ui";
// import {useTranslation} from 'react-i18next';

export function showError (e: BizError,content:string = '') {
	const {message, code} = e;
	if(!content){
		if(code < 0){
			if(code == -40200|| code == -40201){
				content = 'Auth Error:'
			}else if(code < -50415 && code > -50421){
				content = 'Payment Error:'
			}else {
				content = 'Service Error:'
			}
		}
	}
	content += `(${code}-${message})`
	Toast.error({
		content,
		duration: 3,
	})
}