import React, {CSSProperties} from "react";

import './card.less'
import {clsx} from "clsx";

type CardProps = {
    title?: React.ReactNode;
    headerRight?: React.ReactNode;
    children?: React.ReactNode;
    bordered?: boolean;
    style?: CSSProperties;
}
export const Card: React.FC<CardProps> = (props) => {

    return (<div style={props.style} className={clsx('card-container',{'card-padding':!(props.title || props.headerRight)})}>
        {(props.title || props.headerRight) && <div className={'card-header'}>
            <div className="card-title">{props.title}</div>
            <div className="card-right">{props.headerRight}</div>
        </div>}
        <div className="card-body">{props.children}</div>
    </div>)
}