import {useEffect, useState} from "react";
import {selectBillTypeList} from "@/service/api/bill.ts";


type BillTypeItem = {
	value: string;
	label: string;
}

const BillTypesCache:BillTypeItem[] = [];
export function useBillTypes(){
	const [BillTypes,setBillTypes] = useState<BillTypeItem[]>(BillTypesCache)

	useEffect(()=>{
		if(BillTypes.length == 0){
			selectBillTypeList().then(ret => {
				const types = ret.filter(it=>!it.description.toUpperCase().startsWith('ADJUSTMENT'))
					.map(it=>({value: it.type, label: it.description}))
				setBillTypes(types)
				// 避免出现多次
				BillTypesCache.length = 0;
				BillTypesCache.push(...types)
			})
		}
	},[])

	return BillTypes
}