import {useEffect, useState} from "react";

function getRemoteUserNameList() {
	return new Promise<string[][]>((resolve, reject) => {
		fetch(`/staff-api/v1/hkchc/user/ldap/get_staff_list`, {
			method: 'GET',
			headers: {
				Apikey: AppConfig.ldapApiKey
			},
			redirect: 'follow'
		})
			.then(response => response.json())
			.then(ret => {
				const result = ret as APIResponse<string[][]>;
				if (result.code === 0) {
					resolve(result.data!)
				} else {
					reject(result.message)
				}
			})
			.catch(reject);
	})
}

export function useRemoteUserList() {

	const [usernameList, setUserList] = useState<string[]>([])

	useEffect(()=>{
		getRemoteUserNameList().then(data=>{
            setUserList(data.flat())
        })
	},[])
	return usernameList
}