import {Space, Input} from "@douyinfe/semi-ui";
import React, {useEffect} from "react";
import {useSetState} from "ahooks";
import {useTranslation} from "react-i18next";

type NumberConfirmProps = {
	bill: BillModel;
	type: 'student_number' | 'application_number';
	onChange: (value: string) => void;
}

export const NumberConfirm: React.FC<NumberConfirmProps> = ({bill, type, onChange}) => {
	const {t} = useTranslation()

	const [state, setState] = useSetState({
		loading: false,
		confirmed: false,
		confirmNumber: '',
	})

	const onValueChange = (confirmNumber: string) => {
		setState({confirmNumber})
		onChange(confirmNumber)
	}
	useEffect(() => {
		const confirmNumber = (type == 'application_number' ? (bill.confirm_application_number || bill.application_number) : bill.student_number) || '';
		onValueChange(confirmNumber)
	}, [])

	return <div
		className="confirm-item align-center space-between"
		style={{marginBottom: 15, marginTop: 15}}>
		<div>
			<div>{t(type == 'student_number' ? 'bill.confirm_student_number' : 'bill.confirm_bill_number')}</div>
		</div>
		<div className="confirm-item-btn">
			<Space spacing={15}>
				<Input
					onChange={onValueChange} style={{width: 200}}
					value={state.confirmNumber} placeholder={t('base.please_enter')}/>

				{/*{*/}
				{/*	state.confirmed ? <Space>*/}
				{/*			<div>{state.confirmNumber}</div>*/}
				{/*			<Tag size={'large'} color='light-blue'>CONFIRMED</Tag>*/}
				{/*		</Space> : <Button*/}
				{/*		style={{width: 80}} disabled={!state.confirmNumber} onClick={onConfirm}*/}
				{/*		loading={state.loading} theme={'solid'}>{t('base.confirm')}</Button>*/}
				{/*}*/}
			</Space>
		</div>
	</div>
}