import React from "react";
import {Outlet} from "react-router-dom";
import styled from "@emotion/styled";
import {I18nSwitcher} from "@/i18n";

const I18nContainer = styled.div({
    position: 'fixed',
    top: 10,
    right: 10
})
const MainLayout: React.FC<{ children?: React.ReactNode }> = ({children}) => {
    return (<div className="main-bg-container">
        <div className="main-content">
            <I18nContainer>
                <I18nSwitcher/>
            </I18nContainer>
            {children ? children : <Outlet/>}
        </div>
    </div>)
}
export default MainLayout